#include <bits/stdc++.h>

#define ll long long
#define loop(i, a, b) for (ll i = a; i < b; i++)

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    ll n, x;
    cin >> n;
    vector<ll> a(n);
    loop(i, 0, n) {
        cin >> a[i];
    }
    loop(i, 0, n - 1) {
        cin >> x;
    }

    cout << "1\n";
    cout << a[0];
    cout << "1\n";
    cout << "1\n";
    cout << "0\n";

    return 0;
}